# Function extractCybelinksFromTransaction

- extractCybelinksFromTransaction(batch): {
  links: CyberLinkTimestamp[];
  particlesFound: string[];
  tweets: Record<string, ParticleResult>;
  }

- #### Parameters

  - batch: Transaction[]

  #### Returns {
  links: CyberLinkTimestamp[];
  particlesFound: string[];
  tweets: Record<string, ParticleResult>;
  }

  - ##### links: CyberLinkTimestamp[]

  - ##### particlesFound: string[]

  - ##### tweets: Record<string, ParticleResult>

  - Defined in work/deeplinks/deeplinks/imports/cyber/backend/services/sync/services/utils/links.ts:64